Ubuntu

synaptic crashed with SIGABRT in __kernel_vsyscall()

Reported by Dave Stroud on 2011-07-08
270
This bug affects 57 people
Affects Status Importance Assigned to Milestone
synaptic (Ubuntu)
High
Unassigned

Bug Description

As soon as I open synaptic I get a system error. Same if I open update manager. I am on a fresh update to 11.10.,alpha 2

ProblemType: Crash
DistroRelease: Ubuntu 11.10
Package: synaptic 0.75.2ubuntu1
ProcVersionSignature: Ubuntu 3.0-3.4-generic 3.0.0-rc5
Uname: Linux 3.0-3-generic i686
Architecture: i386
Date: Fri Jul 8 17:28:26 2011
ExecutablePath: /usr/sbin/synaptic
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha i386 (20110202)
ProcCmdline: /usr/sbin/synaptic
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
Signal: 6
SourcePackage: synaptic
StacktraceTop:
 __kernel_vsyscall ()
 raise () from /lib/i386-linux-gnu/libc.so.6
 abort () from /lib/i386-linux-gnu/libc.so.6
 __gnu_cxx::__verbose_terminate_handler() () from /usr/lib/i386-linux-gnu/libstdc++.so.6
 ?? () from /usr/lib/i386-linux-gnu/libstdc++.so.6
Title: synaptic crashed with SIGABRT in __kernel_vsyscall()
UpgradeStatus: Upgraded to oneiric on 2011-07-08 (0 days ago)
UserGroups:

Dave Stroud (bigdavesr) wrote :
Dave Stroud (bigdavesr) wrote :

/home/bigdavesr# sudo synaptic
terminate called after throwing an instance of 'std::out_of_range'
  what(): vector::_M_range_check

StacktraceTop:
 __kernel_vsyscall ()
 raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
 abort () at abort.c:92
 __gnu_cxx::__verbose_terminate_handler () at ../../../../src/libstdc++-v3/libsupc++/vterminate.cc:95
 __cxxabiv1::__terminate (handler=0x9da7b0 <__gnu_cxx::__verbose_terminate_handler()>) at ../../../../src/libstdc++-v3/libsupc++/eh_terminate.cc:40

Changed in synaptic (Ubuntu):
importance: Undecided → Medium
tags: removed: need-i386-retrace
Changed in synaptic (Ubuntu):
status: New → Confirmed
visibility: private → public
Jeremy Bicha (jbicha) wrote :

Hi, I reported bug 818382 which might be a duplicate of this but the SIGABRT is slightly different.

Jean-Baptiste Lallement (jibel) wrote :

Could you disable accessibility and tell if this crash occurs again ?

Launch 'gnome-control-center'
Open 'Universal Access'
and set 'Screen Reader' to 'OFF'

Thanks in advance.

Changed in synaptic (Ubuntu):
importance: Medium → High
status: Confirmed → Incomplete

Just checked and screen reader is off now. Crash hasn't happened again.

On 30 July 2011 10:51, Jean-Baptiste Lallement <email address hidden>wrote:

> Could you disable accessibility and tell if this crash occurs again ?
>
> Launch 'gnome-control-center'
> Open 'Universal Access'
> and set 'Screen Reader' to 'OFF'
>
> Thanks in advance.
>
> ** Changed in: synaptic (Ubuntu)
> Importance: Medium => High
>
> ** Changed in: synaptic (Ubuntu)
> Status: Confirmed => Incomplete
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (810757).
> https://bugs.launchpad.net/bugs/807771
>
> Title:
> synaptic crashed with SIGABRT in __kernel_vsyscall()
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/synaptic/+bug/807771/+subscriptions
>

--
Cheers

John Pyle
<email address hidden>

Jeremy Bicha (jbicha) wrote :

Yes, after turning off the screen reader, Synaptic works without crashing. Thanks!

Changed in synaptic (Ubuntu):
status: Incomplete → Confirmed
Jerry (jerrywone) wrote :

My system has changed dramatically sine the bug report.
Python 2.6 or 2.7 kept back
And fix broken then Everything that depended on was removed
( didn't realize python was so pervasive in the distro and windowing like
gnome and KDE ...

Anyways, I've not seen synaptic crash again
But worry accessibilty is not optional for some
Who really need it instead of convenience for those on projectors, small
typefaces, old eyes, etc...

On Saturday, July 30, 2011, Jeremy Bicha <email address hidden> wrote:
> Yes, after turning off the screen reader, Synaptic works without
> crashing. Thanks!
>
> ** Changed in: synaptic (Ubuntu)
> Status: Incomplete => Confirmed
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (810659).
> https://bugs.launchpad.net/bugs/807771
>
> Title:
> synaptic crashed with SIGABRT in __kernel_vsyscall()
>
> Status in “synaptic” package in Ubuntu:
> Confirmed
>
> Bug description:
> As soon as I open synaptic I get a system error. Same if I open update
> manager. I am on a fresh update to 11.10.,alpha 2
>
> ProblemType: Crash
> DistroRelease: Ubuntu 11.10
> Package: synaptic 0.75.2ubuntu1
> ProcVersionSignature: Ubuntu 3.0-3.4-generic 3.0.0-rc5
> Uname: Linux 3.0-3-generic i686
> Architecture: i386
> Date: Fri Jul 8 17:28:26 2011
> ExecutablePath: /usr/sbin/synaptic
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha i386 (20110202)
> ProcCmdline: /usr/sbin/synaptic
> ProcEnviron:
> PATH=(custom, no user)
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> Signal: 6
> SourcePackage: synaptic
> StacktraceTop:
> __kernel_vsyscall ()
> raise () from /lib/i386-linux-gnu/libc.so.6
> abort () from /lib/i386-linux-gnu/libc.so.6
> __gnu_cxx::__verbose_terminate_handler() () from
/usr/lib/i386-linux-gnu/libstdc++.so.6
> ?? () from /usr/lib/i386-linux-gnu/libstdc++.so.6
> Title: synaptic crashed with SIGABRT in __kernel_vsyscall()
> UpgradeStatus: Upgraded to oneiric on 2011-07-08 (0 days ago)
> UserGroups:
>
> To manage notifications about this bug go to:
>
https://bugs.launchpad.net/ubuntu/+source/synaptic/+bug/807771/+subscriptions
>

--
Jerry W

Jeremy Bicha (jbicha) wrote :

I meant to say "on screen keyboard", not "screen reader."

Adolfo Jayme (fitoschido) wrote :

I had this crash after activating Orca... see also bug 839087.

saliflo (saliflo2) wrote :

Strange; My "screen reader" and "on screen keyboard" was also off, but I have just on and off again, and I've just tried synaptic, it's work.

Jay Ó Broin (ismise) wrote :

Same problem, synaptic crashes on start. Screen reader and On-screen keyboard are both off, although I was testing Orca last week.

Update manager starts fine for me though.

SB (stefan-bommer) wrote :

*bump*

it seems crazy to me that this bug has been open for almost three months with 12 duplicates and being classified as a HIGH priority bug doesn't have anybody assigned to fix this. obviously the software-center covers most of the features necessary for average users, but the fact that the only advanced package manager available in ubuntu doesn't work is killing me. how am i supposed to run a beta version of my favorite OS if I can't do any advanced package management like forcing package versions etc.?

i personally am in the same situation as #14, where all accessibility features are disabled (though i tested out the OSK a couple of days ago) and i still can't run synaptic.

any more info that we can give to help fix this???

clockworkpc (clockworkpc) wrote :

*bump*

With only a few days to go before release, I'm still getting problems on my installation which is completely up to date. When the official release comes out I'll try for a fresh install though and see how that works.

Dietmar Winkler (dietmarw) wrote :

So we have the final release without a working proper gui package manager (I don't count software center as such) :( Any development on this segfault issue at all?

peddy (peddy22) wrote :

Re Dietmar, actually, it's fixed for me in the latest set of upgrades:

synaptic:
  Installed: 0.75.2ubuntu8

On Fri, Oct 14, 2011 at 2:45 AM, Dietmar Winkler
<email address hidden>wrote:

> So we have the final release without a working proper gui package
> manager (I don't count software center as such) :( Any development on
> this segfault issue at all?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/807771
>
> Title:
> synaptic crashed with SIGABRT in __kernel_vsyscall()
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/synaptic/+bug/807771/+subscriptions
>

--
Arno

peddy (peddy22) wrote :

@Dietmar, actually, it's fixed for me in the latest set of updates:

synaptic:
  Installed: 0.75.2ubuntu8

Dietmar Winkler (dietmarw) wrote :

I also got 0.75.2ubuntu8 installed and I tried switching screen-reader and screen-keyboard on and off again. The result stays the same: Synaptic is starting up and showing for about a tenth of a second just to terminate again.

Dietmar Winkler (dietmarw) wrote :

BTW dmesg tells me:
[ 1056.663423] synaptic[3747]: segfault at dae4b2a8 ip b68e5410 sp bfc76b8c error 5 in libc-2.13.so[b68a2000+176000]

Dietmar Winkler (dietmarw) wrote :

OK I got it working but only when switching to a Theme different from "ambience". I got the idea from https://bbs.archlinux.org/viewtopic.php?id=118331 which describes a similar error in that libc-2.13.so

Actually I like the "ambience" theme and would love to switch back to it. Only Synaptic then will throw the same error again and crash.

Dietmar Winkler (dietmarw) wrote :

So I played a bit more and unfortunately simply switching the theme away from ambiance is not enough since although synaptic started at first it crashed later on when applying changes and could not be started again even after changing the themes again.
Here is a serious of the error synaptic will report to dmesg (mainly error 4 and 5):
[ 1903.797884] synaptic[4764]: segfault at f8d15b82 ip b69d0410 sp bfb1b3ec error 5 in libc-2.13.so[b698d000+176000]
[ 1909.486380] synaptic[4780]: segfault at 6bf9b75e ip b6985410 sp bfa1fa7c error 4 in libc-2.13.so[b6942000+176000]
[ 1915.228422] synaptic[4798]: segfault at ebbcb577 ip b6854410 sp bf96b38c error 5 in libc-2.13.so[b6811000+176000]
[ 1920.485926] synaptic[4814]: segfault at 7dd67b42 ip b695e410 sp bfaf546c error 4 in libc-2.13.so[b691b000+176000]
[ 1924.414815] synaptic[4830]: segfault at be4419b0 ip b68f1410 sp bfcffb6c error 4 in libc-2.13.so[b68ae000+176000]

Dietmar Winkler (dietmarw) wrote :

OK I think I could figure what is kind of causing the segfault at least for me. It's the language environment I'm using.

Steps to reproduce:
~$ export LANG=nb_NO.UTF-8
~$ sudo gdb synaptic
(gdb) run
Starting program: /usr/sbin/synaptic
[Thread debugging using libthread_db enabled]

Program received signal SIGSEGV, Segmentation fault.
0xb7148410 in _IO_vfprintf_internal (s=Cannot access memory at address 0xffffffff
) at vfprintf.c:1620
1620 vfprintf.c: Ingen slik fil eller filkatalog.
 in vfprintf.c
(gdb)

(translation of the last statement: "1620 vfprintf.c: no such file or directory in vfprintf.c")

Switching back to LANG=C and synaptic will work.

Alan Jenkins (aj504) wrote :

Dietmar, you've just moved my #874078 over to this bug, and not changed anything else. I think that's a mistake.

My bug was originally assigned to #839219. I discovered that my bug was only being triggered by accessibility. I commented this on #839219, as recommended, and I _modified the bug title_.

So that leaves us with a mess. I've altered a bug I'm no longer deemed to be suffering from, and my alterations are still present on that bug. What do we need to do to clean this up?

It seems suspicious that you're having to override the automatic bug merger that made the initial choice. It would have been nice to have had a comment that at least acknowledged that. Perhaps #839219 should be marked as a duplicate of this one?

I'm commenting here because I don't see you on the list of subscribers for my bug.
Best wishes

Dietmar Winkler (dietmarw) wrote :

Alan, sorry you are right. I thought that that was the same problem. I just reverted the duplication note of #839219 again (btw I never did anything to #874078 which doesn't even exist) so that that bug can be handled by itself.

I hope that clears things up again.

Alan Jenkins (aj504) wrote :

Yep, that addresses my concern, thanks! Btw, #874078 does exist, but I've just noticed that it was marked private :-).

Eugenio Aguilar (chimborito) wrote :

After a week consulting LinuxQuestions.org, Ubuntu forums, Ubuntu launchpad ...etc.
finally I find the bug is alive and nobody works fixing it. What a pity.

My outputs:

eu@eu-Vostro-330:~$ gksu synaptic
  what(): vector::_M_range_check
 instance of 'std::out_of_range'
eu@eu-Vostro-330:~$ pkexec synaptic
terminate called after throwing an instance of 'std::out_of_range'
  what(): vector::_M_range_check
Aborted
eu@eu-Vostro-330:~$

I, sadly, return to the 11.04 version

by by

Eugenio

In my specific case, reinstalling the latest Ubuntu fixed my bug, but I wouldn't mark this as fixed since I basically started from zero.

Extender (msveshnikov) wrote :

In my case, error in vector::_M_range_check was caused by user profile. New clear user has synaptic working. I resolve bug by restoring backup copy of my /home folder

terminate called after throwing an instance of 'std::out_of_range'
  what(): vector::_M_range_check

Michael Satke (n9447354) wrote :

I am affected, too, in exactly the same way as Jay Ó Broin.

Orca is off; This bug appeared after testing it. I would like not to perform an os reinstall.

Michael Satke (n9447354) wrote :

Wait a minute - after removing and purging the orca packages. The bug still persisted.

But then I remembered the accessibility settings --> screen reader was set "on" though itself, as I mentioned, had been removed.

After switching to "off" my dear synaptic is working properly again ... :-))

Ernst Gross (ernst.gross) wrote :

When I went to the "Language Support" in the common "Settings" dialog it asked me to install the missing "language support packages". After installation Synaptic started successfully.

michaelcochez (michaelcochez) wrote :

Confirmation of the comment in #13 : Switching the screen reader on and back off solved the problem for me.

Yudziankou Ihar (yjo) wrote :

I just have switched dropdown on screen setup from 'ambiance' to 'adwaita'

Mauro (jasmines) wrote :

Try:

gsettings set org.gnome.desktop.interface toolkit-accessibility false

It worked for me.

AZ (m-dev) wrote :

I can confirm this bug for oneiric

Linuxexperte (andrea-koeth) wrote :

hi together,

I can also confirm this bug for LinuxMint 12. As I wanted to sue synaptic for looking something up a few minutes ago, it also crashed with this abouve mentioned error:

what(): vector::_M_range_check
 instance of 'std::out_of_range'

But as the user Michael Satke writes: this bug can easily be solved. Then I searched the internet and learned, that the activated gnome-shell-extension noya11 should be switched off in this case. So I looked up my extensions and found it switched on. I switched off, reloaded my shell and tried again. But again this crash happened. Then I looked up the Internet again and found this bug here. And here I found the solution.

The Trick of Michael Satke does it.
Therefore go to your system-control-center, there go to "accessibility" and there go to "screenreader". Switch it on and switch it off again. This did the trick for me, although I had all this off.

So just do this, and Synaptic will come back to work.

Greetings
Linuxexperte

Mauro (jasmines)'s fix in #37 worked for me. None of the others did.

oldrocker99 (fhwri99) wrote :

I just tried the fix in #37, and it worked for me as well. I also run Mint 12, and had this problem with GNOME 3 as well as Cinnamon, but not Mate. Thanx Mauro (jasmines)!

Francesco Fumanti (frafu) wrote :

The problem is that synaptic currently does not start up when at-spi2 is enabled. Of course, if you disable at-spi2 as described in #37, the problem does not happen anymore. But this is not a fix; it simply turns of the feature of the system that causes the problem.

dagrunge (grunge77) wrote :

"screenreader" was disabled in my system.

but i used "gnome-orca" and this program comes with a screenreader too.
i deinstalled orca and sysnaptic started again.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers